SynthDef("FM1", {
	var modsig, outsig;
	modsig = SinOsc.ar(2, 0, 100);
	outsig = SinOsc.ar(378+modsig);
	Out.ar([0, 1], outsig);
}).play;

SynthDef("FM1a", {
	var modsig, outsig;
	modsig = SinOsc.ar(MouseX.kr(0, 500), 0, 200);
	outsig = SinOsc.ar(378+modsig);
	Out.ar([0, 1], outsig);
}).play;

SynthDef("FM2", {
	var modsig, outsig;
	var fmenv, fmamp;
	fmenv = Env([0, 1, 0], [5, 5]);
	fmamp = EnvGen.kr(fmenv, 1, 200, doneAction: 2);
	modsig = SinOsc.ar(MouseX.kr(0, 500), 0, fmamp);
	outsig = SinOsc.ar(378+modsig);
	Out.ar([0, 1], outsig);
}).play;