SynthDef("ring1", {
	arg cfreq = 300, mfreq = 117;
	var modout, sigout;
	modout = SinOsc.ar(mfreq);
	sigout = SinOsc.ar(cfreq, 0, modout);
	Out.ar([0,1], sigout);
}).play;

SynthDef("AM1", {
	arg cfreq = 300, mfreq = 117;
	var modout, sigout;
	modout = SinOsc.ar(mfreq, 0, 0.5, 0.5);
	sigout = SinOsc.ar(cfreq, 0, modout);
	Out.ar([0,1], sigout);
}).play;


SynthDef("ring2", {
	arg cfreq = 300, mfreq = 117;
	var modout, sigout;
	mfreq = MouseX.kr(0, 500);
	modout = SinOsc.ar(mfreq);
	sigout = SinOsc.ar(cfreq, mul: modout);
	Out.ar([0,1], sigout);
}).play;

SynthDef("AM2", {
	arg cfreq = 300, mfreq = 117;
	var modout, sigout;
	mfreq = MouseX.kr(0, 500);
	modout = SinOsc.ar(mfreq, 0, 0.5, 0.5);
	sigout = SinOsc.ar(cfreq, mul: modout);
	Out.ar([0,1], sigout);
}).play;
